Page MenuHomePhabricator

Double quote (") immediately after an external link looks ugly: icon is too close to the double quote
Closed, ResolvedPublic

Description

  1. Create a topic with a title that has a link it in.
  2. Go to History - the topic's title will have quotes around it - the closing quote is placed too tight to the link icon.
<a rel="nofollow" class="external text" href="http://en.wikipedia.beta.wmflabs.org/wiki/Topic:Su8vsrotn4mptb88">ET17 Flow board</a>

Event Timeline

Etonkovidova raised the priority of this task from to Needs Triage.
Etonkovidova updated the task description. (Show Details)
Etonkovidova added a subscriber: Etonkovidova.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 9 2015, 8:34 PM

Looks like a general bug in MediaWiki, because I can reproduce it by just writing stuff on a wiki page: https://www.mediawiki.org/wiki/User:Roan_Kattouw_(WMF)/Sandbox

Catrope renamed this task from History: quotes around titles with links should have additional space to Double quote (") immediately after an external link looks ugly: icon is too close to the double quote.Dec 10 2015, 2:33 AM
Catrope set Security to None.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptDec 10 2015, 5:56 PM
Jdlrobson triaged this task as Normal priority.Dec 10 2015, 5:56 PM

Change 260954 had a related patch set uploaded (by Mholloway):
Add 1px right margin to external link style

https://gerrit.wikimedia.org/r/260954

From what I can see, the content is evenly spaced on both sides inside the quotes. Adding the margin would break that symmetry, which would look bad in ohter situations. Spacing also depends on client font metrics. Plus this adds micro-managing CSS bloat; we should not fall into these "1px"-trap because something looks off. Suggest WONTFIX.

Looks like a general bug in MediaWiki, because I can reproduce it by just writing stuff on a wiki page: https://www.mediawiki.org/wiki/User:Roan_Kattouw_(WMF)/Sandbox

A general bug in Vector only. The default external link icon has 1px spacing at the edges and looks better (try with MonoBook, for example).

Change 260954 merged by jenkins-bot:
Increase transparent background canvas of external link icons

https://gerrit.wikimedia.org/r/260954

matmarex closed this task as Resolved.Dec 29 2015, 12:26 PM
matmarex assigned this task to Mholloway.
matmarex removed a project: Patch-For-Review.